<app-admin-title
  [title]="event.title + ' - Statistics'"
  [showProgressIndicator]="showProgressIndicator"
></app-admin-title>
<mat-grid-list *ngIf="!showProgressIndicator" cols="4" rowHeight="120px">
  <mat-grid-tile>
    <mat-card class="single_panel">
      <mat-card-header>
        <mat-card-title>{{settingsHandlerService.getAmountFormatted(getSalesVolume())}}</mat-card-title>
        <mat-card-subtitle>Sales Volume</mat-card-subtitle>
      </mat-card-header>
    </mat-card>
  </mat-grid-tile>
  <mat-grid-tile>
    <mat-card class="single_panel">
      <mat-card-header>
        <mat-card-title>{{getValidTallies().length}}</mat-card-title>
        <mat-card-subtitle>Tallies</mat-card-subtitle>
      </mat-card-header>
    </mat-card>
  </mat-grid-tile>
  <mat-grid-tile>
    <mat-card class="single_panel">
      <mat-card-header>
        <mat-card-title>{{settingsHandlerService.getAmountFormatted(getCancelledSalesVolume())}}</mat-card-title>
        <mat-card-subtitle>Cancelled Sales Volume</mat-card-subtitle>
      </mat-card-header>
    </mat-card>
  </mat-grid-tile>
  <mat-grid-tile>
    <mat-card class="single_panel">
      <mat-card-header>
        <mat-card-title>{{getCancelledTallies().length}}</mat-card-title>
        <mat-card-subtitle>Cancelled Tallies</mat-card-subtitle>
      </mat-card-header>
    </mat-card>
  </mat-grid-tile>
  <mat-grid-tile>
    <mat-card class="single_panel">
      <mat-card-header>
        <mat-card-title>{{players.length}}</mat-card-title>
        <mat-card-subtitle>Players</mat-card-subtitle>
      </mat-card-header>
    </mat-card>
  </mat-grid-tile>
  <mat-grid-tile>
    <mat-card class="single_panel">
      <mat-card-header>
        <mat-card-title>{{getNumberOfPaidPlayers()}}</mat-card-title>
        <mat-card-subtitle>Paid</mat-card-subtitle>
      </mat-card-header>
    </mat-card>
  </mat-grid-tile>
  <mat-grid-tile>
    <mat-card class="single_panel">
      <mat-card-header>
        <mat-card-title>{{settingsHandlerService.getAmountFormatted(event.playersFee*players.length)}}</mat-card-title>
        <mat-card-subtitle>Expected Players Fee</mat-card-subtitle>
      </mat-card-header>
    </mat-card>
  </mat-grid-tile>
  <mat-grid-tile>
    <mat-card class="single_panel">
      <mat-card-header>
        <mat-card-title>{{settingsHandlerService.getAmountFormatted(getPaidPlayersFee())}}</mat-card-title>
        <mat-card-subtitle>Paid Players Fee</mat-card-subtitle>
      </mat-card-header>
    </mat-card>
  </mat-grid-tile>
</mat-grid-list>
<app-timeslot-sales-volume-statistics *ngIf="!showProgressIndicator"
                                      [event]="event"
                                      [timeslots]="timeslot"
                                      [products]="products"
                                      [players]="players"
                                      [tallies]="tallies"
                                      [locations]="locations"
                                      [teams]="teams"
                                      [settings]="settings"
                                      [settingsHandlerService]="settingsHandlerService"
></app-timeslot-sales-volume-statistics>
<app-timeslot-product-statistics
  *ngIf="!showProgressIndicator"
  [products]="products"
  [tallies]="tallies"
  [settings]="settings"
  [settingsHandlerService]="settingsHandlerService"
></app-timeslot-product-statistics>
